Bug 1281739 - Review Request: python-libpagure - A Python library for Pagure APIs
Review Request: python-libpagure - A Python library for Pagure APIs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
: Reopened
: 1281738 (view as bug list)
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2015-11-13 05:52 EST by Sayan Chowdhury
Modified: 2016-09-02 22:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-02 19:22:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
admiller: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Sayan Chowdhury 2015-11-13 05:52:57 EST
Spec URL: https://sayanchowdhury.fedorapeople.org/packages/SPECS/python-libpagure.spec
SRPM URL: https://sayanchowdhury.fedorapeople.org/packages/SRPMS/python-libpagure-0.4-1.fc22.src.rpm
Description: A Python library for Pagure APIs
Fedora Account System Username: sayanchowdhury
Comment 1 fszymanski 2015-11-13 09:56:36 EST
Hi, this is an informal review.

I think the license should be GPLv2+ (not GPLv2).

To capture both the module directory and the egg-info directory I would do something like this:

%files
%doc README.md
%license LICENSE.txt
%{python_sitelib}/*

See: https://fedoraproject.org/wiki/Packaging:Python_Eggs#Providing_Egg_Metadata_Using_Setuptools
Comment 2 Upstream Release Monitoring 2015-11-13 16:02:59 EST
sayanchowdhury's scratch build of python-libpagure-0.4-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11824304
Comment 3 Sayan Chowdhury 2015-11-13 16:08:51 EST
Hi Filip,

Thanks for the review. I have updated the SPEC and the SRPM file.
Comment 4 fszymanski 2015-11-13 17:51:08 EST
This time more comprehensive (but still informal) review.

python-requests should be in 'Requires' and not in 'BuildRequires'


Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 7 files have unknown license. Detailed
     output of licensecheck in /home/???/fedora-review/1281739-python-
     libpagure/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-libpagure-0.4-1.fc24.noarch.rpm
          python-libpagure-0.4-1.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python-libpagure (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-libpagure:
    python-libpagure



Source checksums
----------------
https://sayanchowdhury.fedorapeople.org/packages/SOURCES/python-libpagure-0.4.tar.gz :
  CHECKSUM(SHA256) this package     : ecd00bb7794dd10bc877ae22c588a5d09d389962df3049d18535275d0851c1cf
  CHECKSUM(SHA256) upstream package : ecd00bb7794dd10bc877ae22c588a5d09d389962df3049d18535275d0851c1cf


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1281739
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 fszymanski 2015-11-13 18:01:45 EST
One more thing - in Fedora >= 22, as well as RHEL7 %{python_sitelib} macro is defined. So I'm not sure if it is needed:

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}
Comment 6 Zbigniew Jędrzejewski-Szmek 2015-11-14 17:06:36 EST
*** Bug 1281738 has been marked as a duplicate of this bug. ***
Comment 7 Sayan Chowdhury 2015-11-16 03:16:38 EST
Fixed the issues listed above and update the SPEC and SRPM file:

SPEC file: https://sayanchowdhury.fedorapeople.org/packages/SPECS/python-libpagure.spec
SRPM file: https://sayanchowdhury.fedorapeople.org/packages/SRPMS/python-libpagure-0.4-1.fc22.src.rpm
Comment 8 Adam Miller 2015-11-16 12:49:17 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 7 files have unknown license. Detailed
     output of licensecheck in /home/admiller/reviews/1281739-python-
     libpagure/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-libpagure-0.4-1.fc24.noarch.rpm
          python-libpagure-0.4-1.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
python-libpagure.noarch: W: invalid-url URL: https://pagure.io/libpagure/ The read operation timed out
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
python-libpagure (rpmlib, GLIBC filtered):
    python(abi)
    python-requests



Provides
--------
python-libpagure:
    python-libpagure



Source checksums
----------------
https://sayanchowdhury.fedorapeople.org/packages/SOURCES/python-libpagure-0.4.tar.gz :
  CHECKSUM(SHA256) this package     : ecd00bb7794dd10bc877ae22c588a5d09d389962df3049d18535275d0851c1cf
  CHECKSUM(SHA256) upstream package : ecd00bb7794dd10bc877ae22c588a5d09d389962df3049d18535275d0851c1cf


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1281739 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


NOTES
-----
The Source0 listing in the spec file does not point to an upstream location of the upstream source tarball. This should ultimately relate to something in the area of https://pagure.io/libpagure/releases, a git tag, or similar. Please reference http://fedoraproject.org/wiki/Packaging:SourceURL#Git_Hosting_Services
Comment 9 Till Maas 2015-11-16 12:57:04 EST
afaik the %__python2 macros should be used instead of %__python. Also it looks like upstream is python3 ready, therefore it should be built both for python2 and python3.
Comment 10 Till Maas 2015-11-16 12:58:47 EST
To quote the guidelines: " If a piece of software supports python3, it must be packaged for python3. If it supports python2 as well, it may be packaged for python2."

https://fedoraproject.org/wiki/Packaging:Python
Comment 11 Adam Miller 2015-11-16 13:13:22 EST
Till is correct, that was an oversight on my part.
Comment 12 Sayan Chowdhury 2015-11-16 15:37:01 EST
I have updated the SPEC file and the SRPM file.

SPEC file: https://sayanchowdhury.fedorapeople.org/packages/SPECS/python-libpagure.spec
SRPM file: https://sayanchowdhury.fedorapeople.org/packages/SRPMS/python-libpagure-0.4-1.fc22.src.rpm

I have changed the Source0 to upstream source tarball and packaged for python3 as well.
Comment 13 Adam Miller 2015-11-18 14:55:14 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 7 files have unknown license. Detailed
     output of licensecheck in /home/admiller/reviews/1281739-python-
     libpagure/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-libpagure
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-libpagure-0.4-1.fc24.noarch.rpm
          python3-libpagure-0.4-1.fc24.noarch.rpm
          python-libpagure-0.4-1.fc24.src.rpm
python3-libpagure.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/libpagure/__pycache__/__init__.cpython-35.opt-1.pyc
python3-libpagure.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/libpagure/__pycache__/exceptions.cpython-35.opt-1.pyc
python3-libpagure.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/libpagure/__pycache__/libpagure.cpython-35.opt-1.pyc
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python3-libpagure.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/libpagure/__pycache__/libpagure.cpython-35.opt-1.pyc
python3-libpagure.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/libpagure/__pycache__/__init__.cpython-35.opt-1.pyc
python3-libpagure.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/libpagure/__pycache__/exceptions.cpython-35.opt-1.pyc
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
python-libpagure (rpmlib, GLIBC filtered):
    python(abi)
    python-requests

python3-libpagure (rpmlib, GLIBC filtered):
    python(abi)
    python3-requests



Provides
--------
python-libpagure:
    python-libpagure

python3-libpagure:
    python3-libpagure



Source checksums
----------------
https://pagure.io/releases/libpagure/libpagure-0.4.tar.gz :
  CHECKSUM(SHA256) this package     : 560932cf37548675a7ec70822f0924da9744fc6d063b2237e8508c289f35f1cb
  CHECKSUM(SHA256) upstream package : 560932cf37548675a7ec70822f0924da9744fc6d063b2237e8508c289f35f1cb


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1281739 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


APPROVED
Comment 14 Gwyn Ciesla 2015-11-20 10:01:44 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-libpagure
Comment 15 Fedora Update System 2015-11-20 12:23:43 EST
python-libpagure-0.4-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2f4fd71cd5
Comment 16 Fedora Update System 2015-11-20 12:24:35 EST
python-libpagure-0.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2940fddb47
Comment 17 Fedora Update System 2015-11-21 12:50:47 EST
python-libpagure-0.4-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-libpagure'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2f4fd71cd5
Comment 18 Fedora Update System 2015-11-22 09:25:22 EST
python-libpagure-0.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-libpagure'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2940fddb47
Comment 19 Fedora Update System 2015-11-26 07:15:29 EST
python-libpagure-0.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-78a26442ab
Comment 20 Fedora Update System 2015-11-26 07:17:02 EST
python-libpagure-0.5-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c386808c83
Comment 21 Fedora Update System 2015-11-26 17:53:30 EST
python-libpagure-0.5-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-libpagure'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c386808c83
Comment 22 Fedora Update System 2015-11-26 18:49:45 EST
python-libpagure-0.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-libpagure'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-78a26442ab
Comment 23 Fedora Update System 2015-12-08 12:07:13 EST
python-libpagure-0.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b8670f79ba
Comment 24 Fedora Update System 2015-12-08 14:53:35 EST
python-libpagure-0.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2015-12-08 16:23:09 EST
python-libpagure-0.5-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2015-12-09 00:20:21 EST
python-libpagure-0.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-libpagure'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b8670f79ba
Comment 27 Fedora Update System 2015-12-10 06:40:14 EST
python-libpagure-0.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a8032cb7c2
Comment 28 Fedora Update System 2015-12-10 06:41:46 EST
python-libpagure-0.6-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a96bda327e
Comment 29 Fedora Update System 2015-12-10 06:42:27 EST
python-libpagure-0.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d35f7719eb
Comment 30 Fedora Update System 2015-12-11 01:02:00 EST
python-libpagure-0.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-libpagure'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d35f7719eb
Comment 31 Fedora Update System 2015-12-11 14:58:04 EST
python-libpagure-0.6-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-libpagure'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a96bda327e
Comment 32 Fedora Update System 2015-12-12 15:23:36 EST
python-libpagure-0.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-libpagure'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a8032cb7c2
Comment 33 Fedora Update System 2016-09-02 19:22:23 EDT
python-libpagure-0.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2016-09-02 22:19:25 EDT
python-libpagure-0.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.